Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.wsas.admin.module.admin.handler
Class AuthenticationHandler

    java.lang.Object
      org.apache.axis2.handlers.AbstractHandler
          org.wso2.wsas.admin.module.admin.handler.AuthenticationHandler

All Implemented Interfaces:
  org.apache.axis2.engine.Handler

    public class AuthenticationHandler

extends org.apache.axis2.handlers.AbstractHandler

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.axis2.engine.Handler
`org.apache.axis2.engine.Handler.InvocationResponse`

Field Summary

Fields inherited from class org.apache.axis2.handlers.AbstractHandler
`handlerDesc`

Constructor Summary
`AuthenticationHandler()`

Method Summary
`protected void` | `authenticate(java.lang.String remoteIP)`
`org.apache.axis2.engine.Handler.InvocationResponse` | `invoke(org.apache.axis2.context.MessageContext messageContext)`

Methods inherited from class org.apache.axis2.handlers.AbstractHandler
`cleanup, flowComplete, getHandlerDesc, getName, getParameter, init, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AuthenticationHandler

    public AuthenticationHandler()

Method Detail

### invoke

    public org.apache.axis2.engine.Handler.InvocationResponse invoke(org.apache.axis2.context.MessageContext messageContext)
                                                              throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### authenticate

    protected void authenticate(java.lang.String remoteIP)
                         throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD